import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LoginComponent } from './login/login.component';
import { EventDetailsComponent } from './overview/pages/event-details/event-details.component';
import { EventsListComponent } from './overview/pages/events-list/events-list.component';
import { ProfileComponent } from './overview/pages/profile/profile.component';
import { EventResolver } from './overview/resolver/event.resolver';

const routes: Routes = [
  { path: '', pathMatch: 'full', redirectTo: 'events' },
  {
    path: 'events', children: [
      { path: '', component: EventsListComponent },
      { path: ':uuid', component: EventDetailsComponent, resolve: { event: EventResolver } },
    ]
  },
  { path: 'login', component: LoginComponent },
  { path: 'profile', component: ProfileComponent },
  {
    path: 'tutorial',
    loadChildren: () => import('./tutorial/tutorial.module').then(m => m.TutorialModule)
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
  providers: []
})
export class AppRoutingModule { }
