import { Component, OnInit } from '@angular/core';
import { AuthService } from '../../services/auth.service';

/**
 * Header component displaying navigation
 */
@Component({
  selector: 'app-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.scss']
})
export class HeaderComponent implements OnInit {

  /**
   * Flag determines if profile or login should be shown
   */
  showProfile = false;

  constructor(
    private authService: AuthService
  ) { }

  /**
   * Subscribes on hasToken subject to manage if profile should be shown
   */
  ngOnInit() {
    this.showProfile = this.authService.loggedIn;

    this.authService.hasToken.subscribe((val) => this.showProfile = val);
  }
}
