/**
 * The GetQuery builder to filter database entries on request
 * @TODO think about a better approach
 */
export class GetQuery {

  private query: any[] = [];

  /**
   * Adds a limit to the query
   * @param value
   */
  public limit(value: number) {
    this.query.push(`limit=${value}`);
    return this;
  }

  /**
   * Adds a page to the query
   * @param value
   */
  public page(value: number) {
    if (value) {
      this.query.push(`page=${value}`);

    }
    return this;
  }

  public or() {
    this.query.push('OR');
    return this;
  }

  public gtOrEq(key: string, value: number) {
    if (value) {
      this.query.push(`${key}__gteq=${value}`);

    }
    return this;
  }

  public like(key: string, value: string) {
    if (value) {
      this.query.push(`${key}__like=${value}`);

    }
    return this;
  }

  public is(key: string, value: any) {
    if (value) {
      this.query.push(`${key}=${value}`);

    }
    return this;
  }

  public buildParameters(): string {
    let parameters = '';
    this.query.forEach((value, index) => {
      if (index === 0) {
        parameters += `?${value}`;
      } else {
        parameters += `&${value}`;
      }
    });

    return parameters;
  }
}
